#include "editWindow.h"

editWindowWidget::editWindowWidget( QWidget* parent,  const char* name, bool modal, WFlags fl ) : QDialog( parent, name, modal, fl )
{

  setCaption( tr( "Information:" ) );
  QGridLayout *gridLayout = new QGridLayout(this, 1, 1, 5, 5);
  editArea = new QMultiLineEdit(this, "editArea");
  gridLayout->addWidget(editArea, 0, 0);
  editArea->setWordWrap(QMultiLineEdit::WidgetWidth);
/*
  QLabel *lastmodified = new QLabel("Last modified", this);
  gridLayout->addWidget(lastmodified, 1, 0);
*/

  showMaximized();
}

void editWindowWidget::loadFile()
{

  setCaption(fileName);

  QFile datei(fileName);

  if (datei.exists()) {
    if (!datei.open(IO_ReadOnly)) {

      QString message = "Could not read file '" + fileName + "'";
      QMessageBox::warning(0, "File i/o error", message);
      
    } else {

      QTextStream inStream(&datei);
      editArea->setText(inStream.read());
      datei.close();

    }
  }

}

void editWindowWidget::saveFile()
{

  QFile datei(fileName);

  if(!datei.open(IO_WriteOnly)) {

      QString message = "Could not write file '" + fileName + "'";
      QMessageBox::warning(0, "File i/o error", message);

  } else {

    QTextStream outStream(&datei);
    outStream << editArea->text();
    datei.close();
    this->accept();

  }

}

editWindowWidget::~editWindowWidget()
{

  // n/a

}
